Jump to content

Point Topo non reconnu


Recommended Posts

Bonjour

 

je bosse à partir d'un plan géomètre peu habituel.

les points totpo ne sont pas contenu dans des bloc "TCPOINT" comme d'ab, mais dans des bloc, tantôt COTEH_flat_03 (à 75) ou sous la forme COTEB-flat-22 ou encore, PCOTED_3_1234

 

bref il y a 450 point sur le terrain, et j'ai pas loin de 450 bloc dans le dessin, j'ai l'impression que le petit génie qui à fait le soft à intégré l’immat du point au nom de bloc plutôt qu'a un attribut.

J'ai donc fait un immatric sur le calque des points pour placer sur ces points des usuels TCPOINT.

Sauf que ces points ne sont pas placer en 3d, mais en 2d et donc le résultat de mon immatric, c'est 450 points à une altitude 0.

 

Comment récupérer l'alti des blocs pour la passer dans des points topo manipulable par covadis pour faire un mnt?

 

Ps connaissez vous le soft utilisé (c'est un plan relativement ancien et les N° de tel sur le cartouche ne répond plus) mais peut etre qq1 saurai me le convertir en plan compatible covadis. En fouinant un peu dans le menu Cov_echange il y a peut être de quoi s'en sortir, mais là je patauge

"Rien n’est impossible à l’homme qui n’a pas à le faire lui-même." (Marcel Achard)

 

quelques trucs sur autocad

Link to post
Share on other sites

merci et tous mes vœux également

 

oui, j'ai bien un attribut, mais il porte le nom du bloc, pas te selection possible sur tous les blocs avec un attribut alt...

trop facile.

Je persiste à ne pas souhaiter une bonne santé (mentale?) au concepteur de cette géniale procédure de traduction vers autocad qui ne sais visiblement pas à quoi servent les blocs...

 

http://joch04.free.fr/images/vrac/pcoted.jpg

"Rien n’est impossible à l’homme qui n’a pas à le faire lui-même." (Marcel Achard)

 

quelques trucs sur autocad

Link to post
Share on other sites

Hello

 

Veux tu dire que tous les Noms de Blocs sont differents ?

et que sur chacun le Nom de l'Attribut (qui contient bien l'altitude en Z) est AUSSI different ??

 

Si OUI, il y a un poste disponible en Siberie "Extreme Nord" pour celui qui a livre le DWG ...

 

Bye, lecrabe

Autodesk Expert Elite Team

Link to post
Share on other sites

mouai...

c'est pas gagné pour le bricolage

 

j'ai eu par l'architecte les coordonnées du géomètre car si cette boite à fermé, le bonhomme n'est pas encore parti à la retraite...

Coup de bol, il à gardé ses fichiers...et a retrouver le mien (houf)

 

il ressort de la discutions que le fichier d'origine est bien avec des points en 3d, dans un calque qui n'est pas le calque 0. Apparemment, il travaille avec microstation, ce qui explique que chaque "bloc" ait un nom unique (c'est courant sous µstation d'avoir des blocs nommés à l'unité) donc je persiste à dire que ce n'est pas la faute du géomètre, mais de celui qui à pondu la procédure d'export vers autocad et à qui je passerai volontiers la petite annonce pour un poste de développeur au pole nord. Pareil pour l'architecte qui nous envoie un fichier bricolé, "aplati" et ou on met tout dans le calque 0 pour gagner du temps alors qu'on lui réclame le fichier d'ORIGINE du géomètre.

 

En conclusion, je vais pouvoir immatriculer ses blocs et ça devrai faire la blague...

je vous tien au courant...

"Rien n’est impossible à l’homme qui n’a pas à le faire lui-même." (Marcel Achard)

 

quelques trucs sur autocad

Link to post
Share on other sites

Bonjour,

 

Sans pouvoir vraiment tester... faute de dessin exemple.

Mais ceci pour mettre des points en 3D depuis tes blocs, ferait-il l'affaire?

 

((lambda ( / doc sel text posxy)
 (setq doc (vla-get-activedocument (vlax-get-acad-object)))
 (cond
   ((ssget (list '(0 . "INSERT") '(2 . "COTEH*,COTEB*,PCOTED*") (cons 410 (getvar "ctab"))))
     (vlax-for bl (setq sel (vla-get-activeselectionset doc))
       (cond
         ((wcmatch (vla-get-EffectiveName bl) "*COTE*")
           (foreach pr (vlax-invoke bl 'GetAttributes)
             (setq text (vlax-get-property pr 'TextString))
             (setq posxy (vlax-get bl 'InsertionPoint))
             (entmake
               (list
                 (cons 0 "POINT")
                 (cons 100 "AcDbEntity")
                 (cons 410 (getvar "ctab"))
                 (cons 8 (getvar "clayer"))
                 (cons 100 "AcDbPoint")
                 (cons 10 (list (car posxy) (cadr posxy) (atof text)))
               )
             )
           )
         )
       )
     )
   )
 )
 (prin1)
))

Choisissez un travail que vous aimez et vous n'aurez pas à travailler un seul jour de votre vie. - Confucius

Link to post
Share on other sites

Bonjour,

 

avec un extraction de données PositionX, positionY et tous les attributs, tu doit obtenir un fichier avec

X,Y,,,,,,,,,,,,Z,,,,,,,,,,,,,,,,,,,,,

X,Y,,,,,Z,,,,,,,,,,,,,,,,,,,,,,,,,,,,

...

a chaque fois le Z sera positionné sur l'une des 450 "virgules"

 

Dans le bloc note un rechercher/remplacer de ,, par , en mode remplacer tout (x fois) devrait permettre d'obtenir un fichier X,Y,Z

 

Olivier

Link to post
Share on other sites

au punaise...

 

merci beaucoup Bonuscad.

J'ais testé ta fonction, j'ai du louper un ou 2 nom de bloc car apparemment ça marche pas top,

si tu veux aller plus loin pour le fun je te met un lien vers le fichier dwg (enfin µwg)

joch04.free.fr/images/vrac/11134.dwg

 

edit,...........................

j'avais pas bien lu ton code, je cryais qui déplacait le bloc àa la bonne alti, mais en fait il crée un point... et oui, ça marche il me fait bien un point à la bonne alti :))

.............................

 

Pour la petite histoire, j'ai reçu le bon plan avec les points en 3d et je m'en suis sorti! (la peste soit des architectes qui bricolent les fichiers géomètre)

Toujours pour le petite histoire, je vais pas casser du sucre sur le dos de celui qui a fait le relevé car pour une fois, il y a suffisamment de point pour travailler correctement sans inventer des trucs d'après photo. Fait exceptionnel, le relevé ne s'arrête pas à la limite de propriété, mais 2m plus loin de menière à nous faire apprécier les abord et s'il y a du terrain a tenir . Les pieds et haut de talus sont marqués, y compris dans les arrondi ou j'ai des point intermédiaires j'ai des point sur le bordures bref rien de bien extraordinaire juste du boulot fait correctement avec un logiciel moyennement compatible avec Tode$c, mais je suis persuadé que pas mal de ses collègues n'auraient pas la moyenne s'il suivaient les cours de Lili :)

"Rien n’est impossible à l’homme qui n’a pas à le faire lui-même." (Marcel Achard)

 

quelques trucs sur autocad

Link to post
Share on other sites

Re,

 

mais je suis persuadé que pas mal de ses collègues n'auraient pas la moyenne s'il suivaient les cours de Lili

 

Certains sortent de formation après 2 ans et dessine encore des ..... Lignes,..No Comment ! blink.gif

 

Et il faut leur apprendre le traitement des nuages de points (photogrammétrie-lasergramétrie), le SIG,le GNSS, la VRD,les méthodes de travail collaboratif, tout ça en plus de la topo plus classique,...(J'ai compté au mini 10 logiciels techniques à appréhender en plus de l'informatique plus générale, ne serais ce que la gestion d'une arborescence Windows,..)

 

A ce jour, je ne sais pas faire,...

Civil 3D 2021 - COVADIS_17.1d

https://www.linkedin...3%ABt-95313341/

Link to post
Share on other sites

A priori tous tes blocs contiennent le mot "-flat-", donc en modifiant la ligne:

(ssget (list '(0 . "INSERT") '(2 . "COTEH*,COTEB*,PCOTED*") (cons 410 (getvar "ctab"))))

par

(ssget (list '(0 . "INSERT") '(2 . "*-flat-*") (cons 410 (getvar "ctab"))))

 

la routine devrait mettre tout les points en 3D en lieu et place de tous les blocs.

 

Je n'ai pas vérifié (vu que tu as résolu ton problème) si tous les bloc n'avait qu'un attribut (transformable en réel), mais à priori c'est le cas.

 

Mais si tu as réussi à obtenir tes points de source sure, c'est mieux.

Choisissez un travail que vous aimez et vous n'aurez pas à travailler un seul jour de votre vie. - Confucius

Link to post
Share on other sites

Coucou

 

a priori un joyeux boxon dans le fichier...

 

Rien de bien compliqué pour autant

Une simple extraction des données va te faire un joli tableau Excel, pas trop compliqué à ordonner

Et ensuite tu ré-injectes les points comme il faut.

 

Amicalement

 

Link to post
Share on other sites

c'est vrai qu'avec l'extraction on peut récupérer le point d’insertion des blocs et l'attribut...

 

mais ça reste un peu capilotracté. Je ne suis pas mécontent d'être tombé sur un géo prévoyant et conservateur de ses archives...

"Rien n’est impossible à l’homme qui n’a pas à le faire lui-même." (Marcel Achard)

 

quelques trucs sur autocad

Link to post
Share on other sites

Coucou

 

La solution que je propose n'a qu'une raison d'être : se sortir aisément d'un problème apparemment compliqué.

Si tu trouves ça capillotracté c'est ta vision des choses mais je ne suis guère d'accord, c'est plutôt basique.

 

Pour ce qui est du type qui a gardé ses archives il n'y a rien de stupéfiant, c'est normal.

Par contre qu'il ait à l'époque édité un fichier aussi pourri, là, on quitte le normal pour friser la faute ou pire encore la volonté de nuire.

 

Amicalement

Link to post
Share on other sites

peucheure... il y est pour rien le bougre !!

 

Le géomètre bosse avec microstation. et l'archi à placer tout en Z=0 et rassembler tous les blocs dans un seul calque Bref c'est à lui que j'en veux. Car quand je lui demande les plans géo d'origine, il me fille son trafic louche en me soutenant mordicus que c'est le fichier reçu, alors que non.... Quand à la volonté de nuire, même pas... C'est juste de l'égocentrisme, un hermétisme total au désagréments qu'il génère. Ensuite, soit un gros poil dans la main pour fouiller sa boite a mail, soit une méthodologie de traitement des fichiers ou garder l'original des plans reçu n'est pas estimé nécessaire alors que c'est quand même le b a ba du travail collaboratif informatique

 

Comme je le disais au message 7, je le trouve pas trop mal ce géomètre. Bon, il bosse avec un soft que je n'aime pas et qui n'aime pas autocad, mais son taff, il le fait bien.

"Rien n’est impossible à l’homme qui n’a pas à le faire lui-même." (Marcel Achard)

 

quelques trucs sur autocad

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
×
×
  • Create New...